:root {
    --w3-blue: #32489B;
    --w3-blue-light: #013891;
    --w3-blue-dark: #121B3D;
    --w3-white: #FFF;
    --w3-black: #000;
    --w3-grey: #ECECEC;

    --w3-primary-color: var(--w3-blue-light);
    --w3-primary-color-hover: var(--w3-blue-dark);
    --w3-primary-color-rgb: 1, 56, 145;

    --w3-secondary-color: var(--w3-blue-dark);
    --w3-secondary-color-hover: var(--w3-blue-light);
    --w3-secondary-color-rgb: 18, 27, 61;
    
    --w3-link-color: var(--w3-blue);
    --w3-link-color-hover: var(--w3-blue-light);

    --w3-text-color: var(--w3-black);

    --w3-body-bg: var(--w3-grey);
    --w3-block-bg: var(--w3-white);

    --w3-slider-dots-width: 10px;

    --w3-font-family-text: "Encode Sans", sans-serif;
    --w3-font-family-headings: "Encode Sans", sans-serif;
}

/** all fonts family
 * "Outfit", sans-serif; 100 --> 900
 * "Mulish", sans-serif; 200 --> 1000
 * "Quattrocento", serif; 400, 700
 */

html {
    overflow-x: hidden;
}

body {
    font-family: var(--w3-font-family-text) !important;
    color: var(--w3-blue-dark);
    overflow-x: hidden;
}

h1, .h1,
h2, .h2,
h3, .h3,
h4, .h4,
h5, .h5,
h6, .h6 {
    font-family: var(--w3-font-family-headings) !important;
    font-weight: 600;
    line-height: normal;
    text-transform: uppercase;
    color: var(--w3-primary-color);
}

.bg-dark h1, .bg-dark .h1,
.bg-dark h2, .bg-dark .h2,
.bg-dark h3, .bg-dark .h3,
.bg-dark h4, .bg-dark .h4,
.bg-dark h5, .bg-dark .h5,
.bg-dark h6, .bg-dark .h6, 
.bg-dark p,
.bg-dark ul,
.bg-primary h1, .bg-primary .h1,
.bg-primary h2, .bg-primary .h2,
.bg-primary h3, .bg-primary .h3,
.bg-primary h4, .bg-primary .h4,
.bg-primary h5, .bg-primary .h5,
.bg-primary h6, .bg-primary .h6,
.bg-primary p, 
.bg-primary ul 
{
    color: var(--w3-white);
}

/* Headings reset font size */
@media (min-width: 1200px) {
    
    h1, .h1 {
        font-size: calc(1rem * 3); /* 48px */
    }

    h2, .h2 {
        font-size: calc(1rem * 2); /* 32px */
    }

    h3, .h3 {
        font-size: calc(1rem * 1.75); /* 28px */
    }

    h4, .h4 {
        font-size: calc(1rem * 1.5); /* 24px */
    }

    h5, .h5 {
        font-size: calc(1rem * 1.25); /* 20px */
    }

    h6, .h6 {
        font-size: calc(1rem * 1.125); /* 18px */
    }
}

.page-intro {
    padding: 4.125rem 0;
    margin-bottom: 2rem;
}

img {
    max-width: 100%;
    vertical-align: middle;
    height: auto;
    object-fit: cover;
}

ol, ul {
    padding-left: 20px;
}

/* Custom containers */
.container-small {
    max-width: 800px;
}

.container-medium {
    max-width: 904px;
}

@media (min-width: 768px) {
    .container-small,
    .container-medium {
        margin-left: auto !important;
        margin-right: auto !important;
    }
}

/* background colors */
.bg-dark {
    background-color: var(--w3-blue-dark) !important;
    color: var(--w3-white);
}

.bg-grey {
    background-color: var(--w3-grey) !important;
}

.bg-primary {
    background-color: var(--w3-primary-color) !important;
}

/* Sections */
#lead-section {
    overflow: visible;
}

#lead-section > .vc_row {
    overflow: hidden;
}

#lead-section > #reserveer-block {
    overflow: visible;
}

/* Lists */
.list-unstyled {
    margin: 0;
}

/* 404 page */
.block-404 {
    font-family: "Mulish", sans-serif !important;
    font-weight: 700;
    font-size: 12rem;
    display: flex;
    justify-content: center;
}

.block-404 .i-4 {
    filter: drop-shadow(0px 40px 20px rgba(0, 0, 0, .5));
}
.block-404 .i-0 {
    color: var(--w3-blue);
    filter: drop-shadow(0px 40px 20px rgba(0, 0, 0, .5));
}

/* Content section */
#content-section .bg-dark {
    padding: 0 15px 30px;
    margin: 0 15px;
}

.col-custom-padding .vc_column-inner {
    padding: 30px 15px !important;
}

@media (min-width: 768px) {
    #content-section .bg-dark {
        padding: 0 30px;
    }

    .col-custom-padding .vc_column-inner {
        padding: 60px 2vw !important;
    }

    .col-custom-padding .vc_column-inner .wpb_content_element {
        max-width: 600px;
    }

    #fullwide-section .wpb_single_image img {
        position: absolute;
        inset: 0;
        height: 100%;
        max-width: none;
        width: 100%;
    }

}

/* Gallery */
.custom-gallery .wpb_image_grid .wpb_image_grid_ul {
    display: flex;
    flex-direction: column;
}

.custom-gallery .wpb_image_grid .wpb_image_grid_ul .isotope-item {
    width: 70%;
    border-radius: 8px;
    overflow: hidden;
}

.custom-gallery .wpb_image_grid .wpb_image_grid_ul .isotope-item:first-child img {
    aspect-ratio: 1;
}


.custom-gallery .wpb_image_grid .wpb_image_grid_ul .isotope-item:nth-child(2) {
    left: auto !important;
    right: 0;
    transform: translateY(-50%);
}

.custom-gallery .wpb_image_grid .wpb_image_grid_ul .isotope-item:nth-child(2) img {
    aspect-ratio: 43 / 25;
}

/* Accordion */
.vc_tta-color-white.vc_tta-style-outline .vc_tta-panel {
    border-bottom: 1px solid #666;
}

.vc_tta-color-white.vc_tta-style-outline .vc_tta-panel .vc_tta-panel-title>a {
    color: var(--w3-blue-dark) !important;
    padding-top: 26px;
    padding-bottom: 26px;
}

.vc_tta.vc_general .vc_tta-panel-title {
    font-size: 16px;
    padding-left: 10px;
    position: relative;
    text-transform: none;
}

.vc_tta.vc_general .vc_tta-panel-title::before {
    content: '\f178';
    font-family: 'Font Awesome 5 Pro';
    font-weight: 300;
    position: absolute;
    top: 24px;
    left: 0;
    font-size: 20px;
    color: var(--w3-blue-dark);
}

.vc_tta-color-white.vc_tta-style-outline .vc_tta-panel .vc_tta-panel-heading {
    border: none !important;
    background-color: unset !important;
}

.vc_tta.vc_tta-o-no-fill .vc_tta-panels .vc_tta-panel-body {
    padding-left: 30px;
    padding-top: 0;
}

/* Gallery */
#grid-section .isotope-item {
    border-radius: 8px;
    margin-bottom: 20px;
    overflow: hidden;
}

#grid-section .isotope-item a {
    position: relative;
}

#grid-section .isotope-item a::before,
#grid-section .isotope-item a::after {
    color: var(--w3-white);
    pointer-events: none;

    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
}

#grid-section .isotope-item a::before {
    content: '\f00e';
    font-family: 'Font Awesome 5 Pro';
    font-weight: 900;
    font-size: 20px;
    background: linear-gradient(180deg, rgba(0, 0, 0, 0.00) 0%, rgba(0, 0, 0, 0.70) 100%);
    border-radius: 8px;

    height: 20%;
    min-height: 160px;
    padding: 12px 18px;
    display: flex;
    align-items: flex-end;
}

#grid-section .isotope-item a::after {
    content: attr(data-title);
    font-family: "Encode Sans", sans-serif;
    font-weight: 600;
    font-size: 16px;

    left: 30px;
    padding: 18px;
}

#grid-section .isotope-item,
#grid-section .isotope-item img {
    aspect-ratio: 41 / 33;
    width: 100%;
}

@media (max-width: 578px) {
    #grid-section .isotope-item:nth-child(even),
    #grid-section .isotope-item:nth-child(even) img {
        aspect-ratio: 41 / 54;
    }
}

@media (min-width: 579px) and (max-width: 991px) {
    #grid-section .isotope-item:nth-child(3n+1),
    #grid-section .isotope-item:nth-child(3n+1) img,
    #grid-section .isotope-item:nth-child(3n+2),
    #grid-section .isotope-item:nth-child(3n+2) img {
        aspect-ratio: 41 / 54;
    }
}

@media (min-width: 578px) {
    #grid-section .isotope-item {
        width: calc(100% / 2 - 20px);
    }
}

@media (min-width: 992px) {
    #grid-section .isotope-item {
        width: calc(100% / 3 - 20px);
    }

    #grid-section .isotope-item:nth-child(even),
    #grid-section .isotope-item:nth-child(even) img {
        aspect-ratio: 41 / 54;
    }
}

/* logos-section */
#logos-section .container .wpb_wrapper {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    gap: 40px;
}

/* Form */
.form-floating>label.error {
    position: static;
    padding: 0;
}

/* taxonomy */
.taxonomy-sidebar {
    background-color: var(--w3-grey);
    border-radius: 18px;
    padding: 20px;
}

.taxonomy-sidebar .taxonomy-terms-list {
    list-style: none;
    margin: 0;
    padding: 0;
}

.taxonomy-sidebar .taxonomy-terms-list .term-item {
    font-size: 16px;
    padding-left: 30px;
    position: relative;
    text-transform: none;
    margin-bottom: 0.5rem;
}

.taxonomy-sidebar .taxonomy-terms-list .term-item .child-terms .child-term {
    margin-bottom: 0.25rem;
}

.taxonomy-sidebar .taxonomy-terms-list .term-item::before {
    content: '\f178';
    font-family: 'Font Awesome 5 Pro';
    font-weight: 300;
    position: absolute;
    top: 0px;
    left: 0;
    font-size: 20px;
    color: var(--w3-blue-dark);
    transition: left 0.3s ease;
}

.taxonomy-sidebar .taxonomy-terms-list .term-item:hover::before {
    left: 5px;
}

.taxonomy-sidebar .taxonomy-terms-list .term-item a {
    color: var(--w3-blue-dark);
    text-decoration: none;
}

.taxonomy-sidebar .taxonomy-terms-list .term-item.active::before {
    color: var(--w3-primary-color);
}

.taxonomy-sidebar .taxonomy-terms-list .term-item.active > a,
.taxonomy-sidebar .taxonomy-terms-list .term-item:hover > a,
.taxonomy-sidebar .taxonomy-terms-list .term-item .child-terms .child-term.active a,
.taxonomy-sidebar .taxonomy-terms-list .term-item .child-terms .child-term:hover a {
    text-decoration: underline;
    color: var(--w3-primary-color);
}

.posts-grid .post-thumbnail img {
    border-radius: 10px;
    aspect-ratio: 4 / 3;
}

/* Breadcrumb */
.rank-math-breadcrumb a {
    color: var(--w3-white);
}

.rank-math-breadcrumb .last {
    color: var(--w3-grey);
}
